Method: folders.locations.accessPolicies.list

Lists Unified Access Policies.

HTTP request

GET https://iam.googleapis.com/v3/{parent=folders/*/locations/*}/accessPolicies

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource, which owns the collection of Unified Access Policy resources.

Format: * projects/{projectId}/locations/{location} * projects/{projectNumber}/locations/{location} * folders/{folderId}/locations/{location} * organizations/{organizationId}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of Unified Access Policies to return. The service might return a smaller number of bindings.

If unspecified, at most 50 Unified Access Policies are returned. Valid value ranges from 1 to 1000; values above 1000 are reduced to 1000.

pageToken

string

Optional. A page token, received from a previous accessPolicies.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to accessPolicies.list must match the call that provided the page token.

filter

string

Optional. An expression for filtering the results of the request.

Example filter query: displayName:example* matches Unified Access Policies whose display name starts with "example".

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListAccessPoliciesResponse.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/iam

For more information, see the Authentication Overview.